/*

    File: lang.c

    Copyright (C) 1998-2000  Christophe Grenier <grenier@nef.esiea.fr>
  
    This software is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */


const char* nom_os[256]=
{
"empty",
"FAT12",
"XENIX root",
"XENIX /usr",
"FAT16 <32M",
"extended",
"FAT16 >32M",
"HPFS - NTFS",                          /*7*/
(char)0,
"AIX data",
"OS/2 Boot Manager",
"FAT32",                                /* 0B */
"FAT32 LBA",
(char)0,
"VFAT LBA",
"extended LBA",
"OPUS",                                                 /* 0x10 */
"hid. FAT12",
"Compaq Diagnostics",
(char)0,                                                     /* 0x13 */
"hid. FAT16 <32M",
(char)0,
"hid. FAT16 >32M",
"hid. HPFS/NTFS",
"AST swap",
"Willowtech Photon",                            /* 0x19 */
(char)0,
"hid. FAT32",
(char)0,
(char)0,
(char)0,
(char)0,
"Willowsoft OFS1",              /* 0x20 */
"reserved",
(char)0,
"reserved",
"NEC MS-DOS 3.x",
(char)0,
"reserved",                     /* 0x26 */
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"reserved",                     /* 0x31 */
(char)0,
"reserved",
"reserved",
(char)0,
"reserved",
(char)0,
"Theos",                                                /* 0x38 */
(char)0,
(char)0,
(char)0,
"PMagic recovery",              /* 0x3C */
(char)0,
(char)0,
(char)0,
"VENIX 80286",                                          /* 0x40 */
"Personal RISC",
"Secure FS",
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"OnTrack DM RO",                /* 50 */
"OnTrack DM RW-NOVEL",
"CP/M-Microport V/386",
"OnTrack DM WO ???",
"OnTrack DM DDO",
(char)0,
"GoldenBow VFeature",                                   /* 0x56 */
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"SpeedStor",                                            /* 0x61 */
(char)0,
"Unix, GNU HURD",
"NetWare 286",
"NetWare 3.11+",
(char)0,
"Novell",
"Novell",
"Novell",                                               /* 0x69 */
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"DiskSecure MB",                                /* 0x70 */
"reserved",
(char)0,
"reserved",
"reserved",
"PC/IX",
"reserved",                     /* 0x76 */
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"Minix v1.1-1.4a",                                      /* 0x80 */
"Linux (Old)",
"Linux Swap",
"Linux ext2fs",
(char)0,
"OS/2 FAT16 <32M",
"NT FAT16 V/S set",
"HPFS FT mirror-V/S set",       /* 0x87 */
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"Amoeba file system",   /* 0x93 */
"Amoeba bad block",
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"NoteBIOS Save-to-Disk",        /* 0xA0 */
"reserved",
(char)0,
"reserved",
"reserved",
"FreeBSD, BSD/386",
"reserved",
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"reserved",     /* 0xB1 */
(char)0,
"reserved",
"reserved",
(char)0,
"reserved",
"BSDI",
"BSDI swap",    /* 0xB8 */
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"secured FAT12",        /* 0xC1 */
(char)0,
(char)0,
"secured FAT16",
(char)0,
"secured Huge - bad FAT16 V/S set",
"Syrinx Boot - bad NTFS V/S set",       /* 0xC7 */
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"CP/M-86",              /* 0xD8 */
(char)0,
(char)0,
"CP/M",                 /* 0xDB */
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"SpeedStor FAT12 ext",  /* 0xE1 */
(char)0,
"DOS RO - Storage Dimensions",
"SpeedStor FAT16 ext",
"reserved",
"reserved",             /* 0xE6 */
(char)0,
(char)0,
(char)0,
(char)0,
"BeFS",                 /* 0xEB */
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"Storage Dimensions",                           /* 0xF1 */
"DOS secondary",
"reserved",
"SpeedStor - Storage Dimensions",
(char)0,
"reserved",
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
(char)0,
"LANstep - IBM PS/2 IML",                                       /* 0xFE */
"Xenix bad block"
};

